diff a/src/jdk.jdeps/share/classes/com/sun/tools/classfile/ClassWriter.java b/src/jdk.jdeps/share/classes/com/sun/tools/classfile/ClassWriter.java
--- a/src/jdk.jdeps/share/classes/com/sun/tools/classfile/ClassWriter.java
+++ b/src/jdk.jdeps/share/classes/com/sun/tools/classfile/ClassWriter.java
@@ -752,10 +752,18 @@
         @Override
         public Void visitSynthetic(Synthetic_attribute attr, ClassOutputStream out) {
             return null;
         }
 
+        @Override
+        public Void visitLoadableDescriptors(LoadableDescriptors_attribute attr, ClassOutputStream out) {
+            out.writeShort(attr.descriptors.length);
+            for (int index: attr.descriptors)
+                out.writeShort(index);
+            return null;
+        }
+
         protected void writeAccessFlags(AccessFlags flags, ClassOutputStream out) {
             out.writeShort(flags.flags);
         }
 
         protected StackMapTableWriter stackMapWriter;
